/* Table of constant values */

static int c__4 = 4;

int main(void)
{
    /* Initialized data */
    static double a[16] /* was [4][4] */ = { 7.9,8.5,4.3,3.2,5.6,-4.8,
                                 4.2,-1.4,5.7,.8,-3.2,-8.9,-7.2,3.5,9.3,3.3 };
    /* Local variables */
    extern int aig0d_c(double *, int *),
               aig1d_c(double *, int *, int *),
               aig2d_c(double *, int *, int *);
    static int i__, j, s[4];
    static double a1[16] /* was [4][4] */,
                  a2[16] /* was [4][4] */;
    static int s1[8] /* was [4][2] */;

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]
#define a1_ref(a_1,a_2) a1[(a_2)*4 + a_1 - 5]
#define a2_ref(a_1,a_2) a2[(a_2)*4 + a_1 - 5]

    for (j = 1; j <= 4; ++j) {
        for (i__ = 1; i__ <= 4; ++i__) {
            a1_ref(i__, j) = a_ref(i__, j);
/* L1: */
            a2_ref(i__, j) = a_ref(i__, j);
        }
    }
    aig0d_c(a, &c__4);

    for (i__ = 0; i__ <= 14; i__+=2) {
           printf("\n %26.14e %26.14e \n",
                   a[i__], a[i__+1]);
    }
    aig1d_c(a1, s, &c__4);

    for (i__ = 0; i__ <= 14; i__+=2) {
           printf("\n %26.14e %26.14e \n",
                   a1[i__], a1[i__+1]);
    }
    aig2d_c(a2, s1, &c__4);

    for (i__ = 0; i__ <= 14; i__+=2) {
           printf("\n %26.14e %26.14e \n",
                   a2[i__], a2[i__+1]);
    }
    return 0;
} /* main */

#undef a2_ref
#undef a1_ref
#undef a_ref
